Public Member Functions | List of all members
RagTime5ChartInternal::ZoneUnknown1Parser Struct Referencefinal

Internal: the helper to read a ZoneUnknown1's cell ZoneUnknown1. More...

Inheritance diagram for RagTime5ChartInternal::ZoneUnknown1Parser:

## Public Member Functions
| ZoneUnknown1Parser ()
| constructor More...
| ~ZoneUnknown1Parser () final
| destructor More...
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int, libmwaw::DebugStream &f) final
| try to parse a data More...
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor More...
virtual | ~DataParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name More...

## Detailed Description

Internal: the helper to read a ZoneUnknown1's cell ZoneUnknown1.

## Constructor & Destructor Documentation

## ◆ ZoneUnknown1Parser()

RagTime5ChartInternal::ZoneUnknown1Parser::ZoneUnknown1Parser | ( |  | ) |
| inline

constructor

## ◆ ~ZoneUnknown1Parser()

RagTime5ChartInternal::ZoneUnknown1Parser::~ZoneUnknown1Parser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ parseData()

bool RagTime5ChartInternal::ZoneUnknown1Parser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inline final virtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

The documentation for this struct was generated from the following file:

- RagTime5Chart.cxx